import React from 'react';
import { Icon, Split, SplitItem } from '@patternfly/react-core';
import RobotIcon from '@patternfly/react-icons/dist/js/icons/robot-icon';
export const LoadingMessage = ({ icon: IconComponent = RobotIcon }) => (React.createElement(Split, null,
    React.createElement(SplitItem, null,
        React.createElement(Icon, { size: "lg", className: "pf-v6-u-mr-sm pf-v6-u-pt-md" },
            React.createElement(IconComponent, null))),
    React.createElement(SplitItem, { className: "pf-u-background-color-200" },
        React.createElement("div", { className: "pf-v6-u-display-flex pf-u-align-items-center" },
            React.createElement("div", null, "."),
            React.createElement("div", null, "."),
            React.createElement("div", null, ".")))));
export default LoadingMessage;
